aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xdocker/dockerbuild.sh7
-rwxr-xr-xdocker/onekey.sh2
-rwxr-xr-xpkgbuild.sh2
3 files changed, 6 insertions, 5 deletions
diff --git a/docker/dockerbuild.sh b/docker/dockerbuild.sh
index da76650..5ae4880 100755
--- a/docker/dockerbuild.sh
+++ b/docker/dockerbuild.sh
@@ -2,10 +2,8 @@
set -Eeuo pipefail
-#export
-
cd /home/build
-git clone --depth=1 https://github.com/kunoisayami/repos
+git clone --depth=3 https://github.com/kunoisayami/repos
if [ $UID -eq 0 ]; then
@@ -22,6 +20,7 @@ if [ $UID -eq 0 ]; then
pushd repo/pod2man
su -c 'makepkg -i -s --noconfirm --needed' build
popd
+
su -c 'BUILD_ONLY="" ./pkgbuild.sh' build
su -e -c './ci-upload.sh' build
@@ -32,7 +31,9 @@ else
pushd repo/pod2man
makepkg -i -s --noconfirm --needed
popd
+
BUILD_ONLY='' ./pkgbuild.sh
+
./ci-upload.sh
fi
diff --git a/docker/onekey.sh b/docker/onekey.sh
index dcccf93..f27153a 100755
--- a/docker/onekey.sh
+++ b/docker/onekey.sh
@@ -3,7 +3,7 @@
# end up when failed
set -Eeuo pipefail
-pushd "$(uname -a)" || echo "Can't find your architecture" && exit 0
+pushd "$(uname -m)" || ( echo "Can't find your architecture" && exit 0 )
docker build . -t repobuildbase
popd
docker build . -t repobuild
diff --git a/pkgbuild.sh b/pkgbuild.sh
index 0663fc7..c7c3888 100755
--- a/pkgbuild.sh
+++ b/pkgbuild.sh
@@ -53,7 +53,7 @@ if [ $# -gt 0 ] && [ "$1" = "--diff" ]; then
exit 0
fi
-if [ $# -gt 0 ] && [ "$1" = "--all" ] || [ -z "$CI_COMMIT_TITLE" ] && [[ $CI_COMMIT_TITLE =~ "fix(repo)" ]]; then
+if [ $# -gt 0 ] && [ "$1" = "--all" ] || [ -n "$CI_COMMIT_TITLE" ] && [[ $CI_COMMIT_TITLE =~ "fix(repo)" ]]; then
ls $PKGBUILD_DIRECTORY_BASE > "$REPO_DIFF"
else
get_diff_list